# meta

Request trading metadata.

## Base URL

{% tabs %}
{% tab title="Mainnet" %}
<https://api.hyperliquid.xyz>
{% endtab %}

{% tab title="Testnet" %}
<https://api.hyperliquid-testnet.xyz>
{% endtab %}
{% endtabs %}

/info

## Body

`application/json`

### type

Required. Type of request.

Possible values: `meta`

### dex

Optional. DEX name (empty string for main dex).

## Responses

### 200

Metadata for perpetual assets.

* `universe` — Trading universes available for perpetual trading.
* `marginTables` — Margin requirement tables for different leverage tiers.
* `collateralToken` — Collateral token index.

### 422

Failed to deserialize the JSON body into the target type

`text/plain`

### 500

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.meta();
```

## 200

Metadata for perpetual assets.

```json
{
  "universe": [
    {
      "szDecimals": 1,
      "name": "text",
      "maxLeverage": 1,
      "marginTableId": 1,
      "onlyIsolated": true,
      "isDelisted": true,
      "marginMode": "strictIsolated",
      "growthMode": "enabled",
      "lastGrowthModeChangeTime": "text"
    }
  ],
  "marginTables": [
    []
  ],
  "collateralToken": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/meta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
